/**
   tdslib.h
   k.furukawa, apr.11.2003.
   global function definitions for tdslib.c

   k.f, sep.5.2003.  add tds_lock/unlock functions, and magic in structure
   k.f, sep.6.2003.  add tds_timeout
**/
/*
 @(#)tdslib.h v1.8.3 tek tds library, K.Furukawa, Apr.2003-Sep.2003
 */

/* Structure */

#define TDS_DEVIPMAX 20
#define TDS_MAGIC 0xEFCDAB89
/* there are rpc-level timeout and vxi11-level timeout */
#define TDS_TIMEOUT 2000		/* default time out 2 second */

struct tds_struct {
  char to_dev_ip[TDS_DEVIPMAX];
  unsigned int magic;
  int timeout;
  CLIENT *to_rpc_core;
  CLIENT *to_rpc_abort;
  Create_LinkResp *dev_link_resp;
  Device_Error *dev_err;
};
typedef struct tds_struct tds_struct;

/* Global functions */

int tds_init( tds_struct **to_st, char *to_devip );
int tds_open( tds_struct *to_st );
int tds_timeout( tds_struct *to_st, int millisec );
int tds_write( tds_struct *to_st, char *to_writestring );
int tds_read( tds_struct *to_st, char *to_print );
int tds_lock( tds_struct *to_st );
int tds_unlock( tds_struct *to_st );
int tds_close( tds_struct *to_st );

/* end of tdslib.h */
